## org.eclipse.ocl.expressions
Interface LiteralExp<C>

All Superinterfaces:
  ASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  BooleanLiteralExp<C>, BooleanLiteralExp, CollectionLiteralExp<C>, CollectionLiteralExp, EnumLiteralExp<C,EL>, EnumLiteralExp, IntegerLiteralExp<C>, IntegerLiteralExp, InvalidLiteralExp<C>, InvalidLiteralExp, LiteralExp, NullLiteralExp<C>, NullLiteralExp, NumericLiteralExp<C>, NumericLiteralExp, PrimitiveLiteralExp<C>, PrimitiveLiteralExp, RealLiteralExp<C>, RealLiteralExp, StringLiteralExp<C>, StringLiteralExp, TupleLiteralExp<C,P>, TupleLiteralExp, UnlimitedNaturalLiteralExp<C>, UnlimitedNaturalLiteralExp

All Known Implementing Classes:
  BooleanLiteralExpImpl, BooleanLiteralExpImpl, CollectionLiteralExpImpl, CollectionLiteralExpImpl, EnumLiteralExpImpl, EnumLiteralExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, InvalidLiteralExpImpl, LiteralExpImpl, LiteralExpImpl, NullLiteralExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl

    public interface LiteralExp<C>

extends OCLExpression<C>

A representation of the model object 'Literal Exp'.

See Also:
  `ExpressionsPackage.getLiteralExp()`

Method Summary

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.